EDIT - task #9138

Reenable BioCaseQueryServiceWrapperTest.testQueryForUnitld()
07/10/2020 03:18 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.17

Severity: blocker

Description

The test has been set to ignore because 1 of the 2 specimen does not exist anymore in the original data.

So we need a new record for the test, | guess.

Associated revisions

Revision 5cea7914 - 07/10/2020 03:37 PM - Andreas Miiller

ref #9138 add ignore docu to ignored test in BioCaseQueryServiceWrapperTest

Revision bac9135c - 08/03/2020 02:34 PM - Katja Luther
fix #9138: fix test with new unit ids

Revision 75a8a939 - 08/03/2020 02:34 PM - Katja Luther
fix #9138: code cleaning

History

#1 - 07/10/2020 03:20 PM - Andreas Miiller
AM:

wie ... erwéhnt, funktioniert bei uns gerade ein Biocase Test nicht, weil wohl ein Record nicht gefunden wird, und zwar der ,B -W 16385 -00 0*
wéhrend ,B 10 0641985" gefunden wird.

Habt ihr eine Idee woran das liegen kann. Gibt es den Record nicht mehr oder wird er aus irgendeinem anderen Grund nicht gefunden?

JH:

den Beleg gibt’s tatsachlich nicht mehr. Dominik hat vor kurzem das Problem mit den Pseudo-Belegen gelost, die fur die Scans von
Willdenow-Mappendeckeln existiert hatten. Die sind verschwunden, daftr wird nun nur noch ein Beleg mit mehreren Bildern ausgeliefert:
https://ww?2.bgbm.org/herbarium/specimen.cim?SpecimenPK=157168.

#2 - 08/03/2020 02:35 PM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmliblbac9135¢77b531f4541bb1b2bc9f5f921644f080.

#3 - 08/03/2020 02:58 PM - Katja Luther
- Category changed from cdmadapter to taxeditor
- Status changed from Resolved to Closed

- Severity changed from major to blocker

Added working unit IDs and close this ticket.

#4 - 08/03/2020 02:59 PM - Katja Luther
- % Done changed from 50 to 100
https://ww2.bgbm.org/herbarium/specimen.cfm?SpecimenPK=157168
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/bac9135c77b531f4541bb1b2bc9f5f921644f080

#5 - 08/19/2020 08:41 PM - Andreas Miller

- Target version changed from Release 5.18 to Release 5.17
